/* Copyright (c) 2010   Guy WEILER         weigu[at]weigu[dot]lu

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

   Licence: GPL-3        */

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include "ui_mainwindow.h"
#include <QTimer>

namespace Ui
{
    class MainWindowClass;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();



private:
    Ui::MainWindowClass *ui;

private slots:
    void on_radioButton_pd6_clicked(bool checked);
    void get_1_from_adc();
    void on_checkBox_pb0_clicked(bool checked);
    void on_checkBox_pb1_clicked(bool checked);
    void on_checkBox_pb2_clicked(bool checked);
    void on_checkBox_pb3_clicked(bool checked);
};

#endif // MAINWINDOW_H
